import requests
from flask import Flask, request, jsonify
import numpy as np
import pandas as pd
import os
#大模型url
url = "http://localhost:11434/api/generate"


app = Flask(__name__)

@app.route('/llm', methods=['POST'])
def llm():
    try:
        # mod = request.json.get('model')
        mod = "qwen2.5:1.5b"
        q = request.json.get('prompt')
        payload = {"model": mod, "prompt": q,"stream":False}
        response = requests.post(url, json=payload)
        response_json = response.json()
        response_text = response_json.get('response', '无结果')
        return response_text


    except Exception as e:
        return jsonify({
            'code': 500,
            'msg': str(e)
        })
if __name__ == '__main__':
    app.run(debug=True, port=11001)